### Virtual Method

# Foundry BuildStage query

#### Declaration [src]

    DexFuture*
    query (
      FoundryBuildStage* self
    )

#### Description [src]

Query information about the state of the stage and update as necessary.

Some implementations may choose to look at the state of contents on disk and mark the stage as completed without running. Alternatively, they may use it to mark a stage as needing to be run.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to any value or rejects with an error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.